aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Bock <nicolasbock@gmail.com>2013-09-27 14:07:13 -0600
committerNicolas Bock <nicolasbock@gmail.com>2013-09-27 14:07:13 -0600
commitd6c53b0a3c9f52a30f077536de11332d955312b1 (patch)
tree3b4244f9b5b7a23211b133aaca9bf1393076b30a
parentsys-cluster/charm-6.5.1-r1: doc depends on python-2 (diff)
downloadsci-d6c53b0a3c9f52a30f077536de11332d955312b1.tar.gz
sci-d6c53b0a3c9f52a30f077536de11332d955312b1.tar.bz2
sci-d6c53b0a3c9f52a30f077536de11332d955312b1.zip
sys-cluster/charm-6.5.1-r1: Added python dependencies
The documentation is built partly with python2.x scripts. I added the necessary dependencies. Package-Manager: portage-2.2.1
-rw-r--r--sys-cluster/charm/ChangeLog4
-rw-r--r--sys-cluster/charm/charm-6.5.1-r1.ebuild22
2 files changed, 18 insertions, 8 deletions
diff --git a/sys-cluster/charm/ChangeLog b/sys-cluster/charm/ChangeLog
index fa7dd1d39..d005b5fdb 100644
--- a/sys-cluster/charm/ChangeLog
+++ b/sys-cluster/charm/ChangeLog
@@ -3,6 +3,10 @@
# $Header: $
27 Sep 2013; Nicolas Bock <nicolasbock@gmail.com> charm-6.5.1-r1.ebuild:
+ sys-cluster/charm-6.5.1-r1: Added python dependencies The documentation is
+ built partly with python2.x scripts. I added the necessary dependencies.
+
+ 27 Sep 2013; Nicolas Bock <nicolasbock@gmail.com> charm-6.5.1-r1.ebuild:
sys-cluster/charm-6.5.1-r1: doc depends on python-2
27 Sep 2013; Nicolas Bock <nicolasbock@gmail.com> charm-6.5.1-r1.ebuild:
diff --git a/sys-cluster/charm/charm-6.5.1-r1.ebuild b/sys-cluster/charm/charm-6.5.1-r1.ebuild
index b4e291391..d42913832 100644
--- a/sys-cluster/charm/charm-6.5.1-r1.ebuild
+++ b/sys-cluster/charm/charm-6.5.1-r1.ebuild
@@ -4,9 +4,9 @@
EAPI=5
-PYTHON_DEPEND="doc? 2"
+PYTHON_COMPAT=( python{2_6,2_7} )
-inherit eutils flag-o-matic fortran-2 multilib toolchain-funcs
+inherit eutils flag-o-matic fortran-2 multilib toolchain-funcs python-single-r1
DESCRIPTION="Message-passing parallel language and runtime system"
HOMEPAGE="http://charm.cs.uiuc.edu/"
@@ -24,11 +24,13 @@ DEPEND="
>=app-text/poppler-0.12.3-r3[utils]
dev-tex/latex2html
virtual/tex-base
- dev-python/beautifulsoup
+ >=dev-python/beautifulsoup-4
media-libs/netpbm
+ ${PYTHON_DEPS}
)"
REQUIRED_USE="
+ doc? ( ${PYTHON_REQUIRED_USE} )
cmkopt? ( !charmdebug !charmtracing )
charmproduction? ( !charmdebug !charmtracing )"
@@ -99,15 +101,19 @@ src_prepare() {
}
src_compile() {
+ local mybuildoptions="$(usex mpi "mpi" "net")-linux$(usex amd64 "-amd64" '') $(get_opts) ${MAKEOPTS} ${CFLAGS}"
+
# Build charmm++ first.
- einfo "running ./build charm++ $(usex mpi 'mpi' 'net')-linux$(usex amd64 '-amd64' '') $(get_opts) ${MAKEOPTS} ${CFLAGS}"
- ./build charm++ $(usex mpi "mpi" "net")-linux$(usex amd64 "-amd64" '') \
- $(get_opts) ${MAKEOPTS} ${CFLAGS} || die "Failed to build charm++"
+ einfo "running ./build charm++ ${mybuildoptions}"
+ ./build charm++ ${mybuildoptions} || die "Failed to build charm++"
# make pdf/html docs
if use doc; then
- cd "${S}"/doc
- make doc || die "failed to create pdf/html docs"
+ python-single-r1_pkg_setup
+ python_fix_shebang ${S}/doc
+ einfo "forcing ${EPYTHON}"
+ einfo "running ./build doc ${mybuildoptions}"
+ ./build doc ${mybuildoptions} || die "Failed to build charm++ documentation"
fi
}